Subject: Re: [PATCH 3/4] t6400: use test_line_count_cmd to count # of lines in stdout

From: Đoàn Trần Công Danh <[email-masked]>
Date: Sun, 13 Jun 2021 14:39:11 +0700

On 2021-06-12 11:33:49+0700, Bagas Sanjaya <[email-masked]> wrote:
> Hi Đoàn,

It's better to call me Danh. Thanks. Don't worry, I was called Dan all
the time, too ;)

> 
> > -	test 5 -eq $(git ls-files -s | wc -l) &&
> > -	test 4 -eq $(git ls-files -u | wc -l) &&
> > +	test_line_count_cmd --out = 5 git ls-files -s &&
> > +	test_line_count_cmd --out = 4 git ls-files -u  &&
> 
> I read lines above as "Formerly I tested that 5/4 should be equal to output
> of git ls-files -s/-u piped to wc -l, now I do the same with
> test_line_count_cmd".
> 
> Am I right?

Yes, you read that right. This series is mostly a cleanup for
linting "test .* -o" (But that regex wouldn't be put to be used
anytime soon).

-- 
Danh